
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12 col-lg-8">
        <app-fw-colecciones-cabecera [(Coleccion)]="tColeccionActual" [Empresa]="tEmpresaActual" [BloquearBuscar]="tBloquearBuscar" [Editar]="tEditar" [Estatus]="tEstatus" [TiposDesc]="tTiposDescuento" (Buscar)="BuscarColeccion($event)" (AbrirModal)="AbrirModalColecciones()"></app-fw-colecciones-cabecera>
      </div>
      <div class="form-group col-12 col-lg-4">
        <app-fw-colecciones-total [(Coleccion)]="tColeccionActual"></app-fw-colecciones-total>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Articulos" role="tab" aria-controls="Articulos" aria-selected="true" id="Articulos-tab">Artículos</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Articulos-tab" id="Articulos">
            <div class="form-row">
              <div class="form-group col-12 col-lg-4">
                <app-fw-colecciones-articulo [(Articulo)]="tArticuloActual" [(Inventario)]="tArticuloInv" [(Coleccion)]="tColeccionActual" [(InventarioActual)]="tArticuloInvActual" [Empresa]="tEmpresaActual" [Usuario]="tUsuarioActual" [Nuevo]="tNuevo" (AbrirModal)="AbrirModalArticulos()" (AgregarArticulo)="Agregar_Articulo_Coleccion($event)"></app-fw-colecciones-articulo>
              </div>
              <div class="form-group col-12 col-lg-8">
                <app-fw-colecciones-articulos [(Coleccion)]="tColeccionActual" [(InventarioActual)]="tArticuloInvActual" [Nuevo]="tNuevo" [Usuario]="tUsuarioActual" (EliminarArticulo)="Eliminar_Articulo_Coleccion($event)"></app-fw-colecciones-articulos>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>